function EASY_TAJIMA()


// Modle de Tajima modifi

// Initialisation des paramtres du tajima
param=tlist(['Tajima','m','vphi','p','vPo','a','b','w','vDSP','alpha','beta','vdm','vgm','IDSS'],80,0.1,0.018,5.75,0.01,0,0.7905,1.4,0.103194,0.335,125,33,0.6);



// filename="E:\LO966\875\8X75.MES";
filename=tk_getfile("*.mes",title="MES file including Gm and Gd"); 
MES=uW_MES_read(filename);
network = uW_MES_select_network(MES); 




// Selection la grille Vg contante
nb_pts=50;
vg=[];
for i=1:size(MES.network(network).curve),
	vg_temp=0;
	for j=1:size(MES.network(network).curve(i).plot),
		vg_temp=vg_temp+MES.network(network).curve(i).plot(j).v1;
	end;
	vg=[vg,vg_temp/size(MES.network(network).curve(i).plot)];
end;

// Grille de vd constante
	vd_max=0;
	for i=1:size(MES.network(network).curve),
	for j=1:size(MES.network(network).curve(i).plot),
		vd_max=max(vd_max,MES.network(network).curve(i).plot(j).v2);
	end;
	end;
	vd=[0:vd_max/nb_pts:vd_max].';




fig_iv=scf(0);  //creates figure with id==4 and make it the current one
xbasc();
xname('Tajima''s Main Current Source');
xset("colormap",[jetcolormap(size(vg,2));1,0,0]);
xsetech([0,0,1/3,1]);
uW_MES_plot(MES,network,"v2","i2",size(vg,2)+1,vlegend=%T);
// uW_MES_plot(MES,network,"v2","i2",vlegend=%T);
for i=1:size(vg,2),
	fig_iv.children(1).children(2*i).font_foreground=size(vg,2)+1;
end;
a=get("current_axes");a.background=-1;a.title.font_size=8;a.title.text="Id";

xsetech([1/3,0,1/3,1]);
uW_MES_plot(MES,network,"v2","Gm",size(vg,2)+1,vlegend=%T);
for i=1:size(vg,2),
	fig_iv.children(1).children(2*i).font_foreground=size(vg,2)+1;
end;
a=get("current_axes");a.background=-1;a.title.font_size=8;a.title.text="Gm";

xsetech([2/3,0,1/3,1]);
uW_MES_plot(MES,network,"v2","Gd",size(vg,2)+1,vlegend=%T);
for i=1:size(vg,2),
	fig_iv.children(1).children(2*i).font_foreground=size(vg,2)+1;
end;
a=get("current_axes");a.background=-1;a.title.font_size=8;a.title.text="Gd";




// Trac du modele
_vd=vd;
I=[];
gm=[];
gd=[];

for _vg=vg,
	[_I,_gm,_gd]=tajima(_vg,_vd,param);
	I=[I,_I];
	gm=[gm,_gm];
	gd=[gd,_gd];
end;

// Trac du modle
xsetech([0,0,1/3,1]);
plot2d(vd,I);

xsetech([1/3,0,1/3,1]);
plot2d(vd,gm);
xsetech([2/3,0,1/3,1]);
plot2d(vd,gd);



// ==== GUI

liste=[];
for i=1:size(param)-1,
	liste=[liste,param(i+1)];
end;

	cmd=[	"set scitune_liste_name [list "+strcat(string(param(1)(2:size(param(1),2)))," ")+"]";
				"set scitune_liste_parameter [list "+strcat(string(param(1)(2:size(param(1),2)))," ")+"]";
				"set scitune_liste_max [list "+strcat(string(liste*10)," ")+"]";
				"set scitune_liste_value [list "+strcat(string(liste)," ")+"]";
				"set scitune_liste_min [list "+strcat(string(liste*0)," ")+"]"];	
		
	TCL_EvalStr(cmd);
		

	TCL_EvalFile(SCI+"\contrib\Tajima\routines\gui.tcl") ; 
		
		scitune_sortie=%F;
		while ~scitune_sortie,
		end;
		TCL_EvalStr(["set w .scitune;catch {destroy $w}"]);
		
		output=evstr("["+(TCL_GetVar('scitune_liste_value'))+"].''");


TCL_EvalStr(["set w .scitune;catch {destroy $w}"]);

endfunction;