

// \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// ###############################
// # FONCTION DE TAJIMA MODIFIEE #
// ###############################

function varargout=tajima(vg,vd,param)

// Paramtres

m=param.m;
vphi=param.vphi;
p=param.p;
vPo=param.vPo;

vP=vPo+vphi+p*vd;
vGSN=1+(vg-vphi)./vP;
K=1-((1-exp(-m))/(m+%eps));

fg=(1 ./K).*(vGSN-((1-exp(-m*vGSN))/m));
fg=fg.*(vGSN>0);

a=param.a;
b=param.b;
w=param.w;
vDSP=param.vDSP;


vDSN=vd./(%eps+vDSP*(1+(w*vg)./(%eps+vP)))

fd=1-exp(-vDSN-a*vDSN.^2-b*vDSN.^3);


_alpha=param.alpha;
_beta=param.beta;
vdm=param.vdm;
vgm=param.vgm;

fgm=1+_beta*(vd-vdm).*(1+tanh(_alpha*(vg-vgm)));


IDSS=param.IDSS;

// Id
Id=IDSS*fg.*fd.*fgm;

// gm & gd
dgfg=(m*exp(m)*(1-exp(-m*vGSN)))./((1+(m-1)*exp(m)).*vP);
dgfd=(-1)*(1 ./ ((vDSP.^3).*(vP+vg*w).^4)).*(exp((vd.*(-b*vd.^2-((vDSP.*(vP+vg*w).*((a*vd+vDSP).*vP+vDSP.*vg*w))./(vP.^2))))./((vDSP+(vDSP.*vg*w)./vP).^3))).*(vd.*vP.*w.*(3*b*(vd.^2).*(vP.^2)+vDSP.*(vP+vg.*w).*((2*a*vd+vDSP).*vP+vDSP.*vg*w)));
dgfgm=_alpha*_beta*tanh(vd-vdm);
ddfg=(m*exp(m*(1-vGSN))*p.*vP.*(1-vGSN).*(exp(m.*vGSN)-1))./((1+(m-1)*exp(m)).*vP.^2);
ddfd=(1 ./ ((vDSP.^3).*(vP+vg*w).^4)).*(exp((vd.*(-b*vd.^2-((vDSP.*(vP+vg*w).*((a*vd+vDSP).*vP+vDSP.*vg*w))./(vP.^2))))./((vDSP+(vDSP.*vg*w)./vP).^3))).*(((vP.^2)+vg.*(p.*vd+vP).*w).*(3*b*(vd.^2).*(vP.^2)+vDSP.*(vP+vg.*w).*((2*a*vd+vDSP).*vP+vDSP.*vg*w)));
ddfgm=_beta+_alpha*_beta*tanh(vg-vgm);

gm=IDSS*(fd.*fgm.*dgfg+fg.*fd.*dgfgm+fg.*dgfd.*fgm).*(vGSN>0);
gd=IDSS*(fd.*fgm.*ddfg+fg.*fd.*ddfgm+fg.*ddfd.*fgm).*(vGSN>0);


varargout=list(Id,gm,gd);
endfunction 
// \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
